> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro/funktionen/funk_variablen.md).

# Variables/Constants functions

The Variables/Constants group contains functions which return constant values or find the value of a variable. In the group you will find the following functions:

The first column of the table contains the name of the function as you enter it in an expression. The second column contains the data types of the argument(s), and the third column contains the data type of the function's return value.

| Function                 | arguments | Return value |
| ------------------------ | --------- | ------------ |
| [False](#func_false)     | ()        | BOOL         |
| [GetVar](#func_getvar)   | (STRING)  | All          |
| [NoValid](#func_novalid) | ()        | NUMBER       |
| [Pi](#func_pi)           | ()        | NUMBER       |
| [True](#func_true)       | ()        | BOOL         |

It may be that not all the functions in this group are available in the application you are using. The application can deactivate individual functions or entire function groups in the Formula Editor. Those are normally functions which are not needed in the application, because a specific data type is not used for example.

## False function <a href="#func_false" id="func_false"></a>

|               |                                                                                                                                                                                                                                                       |
| ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | BOOL False ()                                                                                                                                                                                                                                         |
| Parameters:   | <ul><li>None.</li></ul>                                                                                                                                                                                                                               |
| Return value: | Always FALSE                                                                                                                                                                                                                                          |
| Description:  | <p>The function always returns the constant value FALSE. You can use this, for example, in comparisons or in constraints.</p><p>Alternatively, you can also place a <a href="/pages/4otynhjwvsO3qauYWoEC">Boolean constant</a> in the expression.</p> |
| See also:     | [TRUE function](#func_true)                                                                                                                                                                                                                           |

## GetVar function <a href="#func_getvar" id="func_getvar"></a>

|               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | ALL GetVar (TEXT)                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Parameters:   | <ul><li>String with the identification of the variable.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                    |
| Return value: | Value of the desired variable.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Description:  | <p>The function determines the value of a variable.</p><p>Variables are allocated by the application in the Formula Editor. These can be used for expressions and calculations. Normally you can enter the identification of a variable directly in the expression (without quotation marks).</p><p>But if the variable identification contains special characters (blanks, +, -, etc.) you must use the GetVar function to determine the value of the variable.</p> |

## NoValid function <a href="#func_novalid" id="func_novalid"></a>

|               |                                                                                                                                                                                                                                                     |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | NUMBER NoValid ()                                                                                                                                                                                                                                   |
| Parameters:   | <ul><li>None.</li></ul>                                                                                                                                                                                                                             |
| Return value: | The constant value for invalid values.                                                                                                                                                                                                              |
| Description:  | <p>The function returns the constant value "NOVALID". This indicates an overflow in a calculation or an invalid value in a variable.</p><p>With this function you can check calculations and variables to see if they contain an invalid value.</p> |
| See also:     | [IsNoValid function](/acron-9.3/en/intro/funktionen/funk_logik.md#func_isnovalid)                                                                                                                                                                   |

## Pi function <a href="#func_pi" id="func_pi"></a>

|               |                                                            |
| ------------- | ---------------------------------------------------------- |
| Syntax:       | NUMBER Pi ()                                               |
| Parameters:   | <ul><li>None.</li></ul>                                    |
| Return value: | The constant value for the number PI.                      |
| Description:  | The function returns the constant value for the number PI. |
| Example:      | Pi () = 3.14159265358979                                   |

## True function <a href="#func_true" id="func_true"></a>

|               |                                                                                                                                                                                                                                                      |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | BOOL True ()                                                                                                                                                                                                                                         |
| Parameters:   | <ul><li>None.</li></ul>                                                                                                                                                                                                                              |
| Return value: | Always TRUE.                                                                                                                                                                                                                                         |
| Description:  | <p>The function always returns the constant value TRUE. You can use this, for example, in comparisons or in constraints.</p><p>Alternatively, you can also place a <a href="/pages/4otynhjwvsO3qauYWoEC">Boolean constant</a> in the expression.</p> |
| See also:     | [FALSE function](#func_false)                                                                                                                                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro/funktionen/funk_variablen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
